package com.bocloud.cmp.model.azure.monitor;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: MetricAlertModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/12/29 15:50
 */
public class MetricAlertModel {

    private String name;//指标度量名称
    private String uuid;
    private String type;
    private String regionId;
    private String resourceGroupName;//资源组名称
    private Integer severity;//警报严重性 {0，1，2，3，4}
    private Boolean enabled;//指示是否启用指标警报的标志。
    private String description;//将包括在警报电子邮件中的指标警报的说明。
    private String evaluationFrequency;//指标警报的评估频率，以 ISO 8601 持续时间格式表示。
    private String windowSize;//用于根据阈值监视警报活动的时间段 (ISO 8601 duration 格式) 。
    private String targetResourceType;//创建/更新警报的目标资源 () 的资源类型。 对于 MultipleResourceMultipleMetricCriteria 是必需的
    private Boolean autoMitigate; //指示警报是否应自动解决的标志。 默认值为 true。
    private List<String> resourceUuids;
    private List<MetricCriteriaModel> metricCriteriaModels;

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<MetricCriteriaModel> getMetricCriteriaModels() {
        return metricCriteriaModels;
    }

    public void setMetricCriteriaModels(List<MetricCriteriaModel> metricCriteriaModels) {
        this.metricCriteriaModels = metricCriteriaModels;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public Integer getSeverity() {
        return severity;
    }

    public void setSeverity(Integer severity) {
        this.severity = severity;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEvaluationFrequency() {
        return evaluationFrequency;
    }

    public void setEvaluationFrequency(String evaluationFrequency) {
        this.evaluationFrequency = evaluationFrequency;
    }

    public String getWindowSize() {
        return windowSize;
    }

    public void setWindowSize(String windowSize) {
        this.windowSize = windowSize;
    }

    public String getTargetResourceType() {
        return targetResourceType;
    }

    public void setTargetResourceType(String targetResourceType) {
        this.targetResourceType = targetResourceType;
    }

    public Boolean getAutoMitigate() {
        return autoMitigate;
    }

    public void setAutoMitigate(Boolean autoMitigate) {
        this.autoMitigate = autoMitigate;
    }

    public List<String> getResourceUuids() {
        return resourceUuids;
    }

    public void setResourceUuids(List<String> resourceUuids) {
        this.resourceUuids = resourceUuids;
    }
}